package cz.cuni.amis.pogamut.base.agent.worldview.objects;

/**
 *
 * @author ik
 */
public class DefaultWorldObjectEvent<T extends IWorldObject> implements IWorldObjectEvent {

	private T object;
	
	public DefaultWorldObjectEvent(T object) {
		this.object = object;
	}
	
	public IWorldObjectId getId() {
		return object.getId();
	}
	
	public T getObject() {
		return object;
	}

}
